# DeResidencePermitFront class

German Residence Permit (Aufenthaltstitel), Front side

Inheritance
  - Object
  - GenericDocumentWrapper
  - DeResidencePermitFront

## Constructors

DeResidencePermitFront(GenericDocument document)

## Properties

birthDate → ValidatedTextFieldWrapper?
  Birth date (Geburtsdatum)
  no setter
cardAccessNumber → TextFieldWrapper
  Six digit card access number
  no setter
document → GenericDocument
  final inherited
expiryDate → ValidatedTextFieldWrapper
  Expiry date (Gültig bis)
  no setter
gender → TextFieldWrapper?
  Gender (Geschlecht)
  no setter
givenNames → TextFieldWrapper
  Given names
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
id → TextFieldWrapper
  Document ID number (in the top-right corner)
  no setter
nationality → TextFieldWrapper?
  Nationality (Staatsangehörigkeit)
  no setter
photo → TextFieldWrapper
  Photo image
  no setter
placeOfIssue → TextFieldWrapper?
  Place of issue (Ausstellungsort)
  no setter
remarks → TextFieldWrapper
  Remarks (Anmerkungen)
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
signature → TextFieldWrapper
  Signature image
  no setter
surname → TextFieldWrapper
  Surname
  no setter
titleType → TextFieldWrapper
  Title type (Art des Titels)
  no setter
validFrom → ValidatedTextFieldWrapper?
  Valid from date (Gültig ab)
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.